std::char_traits< char > Struct Reference

`#include <char_traits.h>`

## Public Types

typedef char | char_type
typedef int | int_type
typedef streamoff | off_type
typedef streampos | pos_type
typedef mbstate_t | state_type

## Static Public Member Functions

static constexpr void | assign (char_type &__c1, const char_type &__c2) noexcept
static constexpr char_type * | assign (char_type *__s, size_t __n, char_type __a)
static constexpr int | compare (const char_type *__s1, const char_type *__s2, size_t __n)
static constexpr char_type * | copy (char_type *__s1, const char_type *__s2, size_t __n)
static constexpr int_type | eof () noexcept
static constexpr bool | eq (const char_type &__c1, const char_type &__c2) noexcept
static constexpr bool | eq_int_type (const int_type &__c1, const int_type &__c2) noexcept
static constexpr const char_type * | find (const char_type *__s, size_t __n, const char_type &__a)
static constexpr size_t | length (const char_type *__s)
static constexpr bool | lt (const char_type &__c1, const char_type &__c2) noexcept
static constexpr char_type * | move (char_type *__s1, const char_type *__s2, size_t __n)
static constexpr int_type | not_eof (const int_type &__c) noexcept
static constexpr char_type | to_char_type (const int_type &__c) noexcept
static constexpr int_type | to_int_type (const char_type &__c) noexcept

## Detailed Description

21.1.3.1 char_traits specializations

Definition at line 329 of file char_traits.h.

## Member Typedef Documentation

## char_type

typedef char std::char_traits< char >::char_type

Definition at line 331 of file char_traits.h.

## int_type

typedef int std::char_traits< char >::int_type

Definition at line 332 of file char_traits.h.

## off_type

typedef streamoff std::char_traits< char >::off_type

Definition at line 334 of file char_traits.h.

## pos_type

typedef streampos std::char_traits< char >::pos_type

Definition at line 333 of file char_traits.h.

## state_type

typedef mbstate_t std::char_traits< char >::state_type

Definition at line 335 of file char_traits.h.

## Member Function Documentation

## assign() [1/2]

static constexpr void std::char_traits< char >::assign | ( | char_type & | __c1,
|  | const char_type & | __c2
| ) |  |

inline static constexpr noexcept

Definition at line 341 of file char_traits.h.

## assign() [2/2]

static constexpr char_type * std::char_traits< char >::assign | ( | char_type * | __s,
|  | size_t | __n,
|  | char_type | __a
| ) |  |

inline static constexpr

Definition at line 429 of file char_traits.h.

## compare()

static constexpr int std::char_traits< char >::compare | ( | const char_type * | __s1,
|  | const char_type * | __s2,
|  | size_t | __n
| ) |  |

inline static constexpr

Definition at line 364 of file char_traits.h.

## copy()

static constexpr char_type * std::char_traits< char >::copy | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | size_t | __n
| ) |  |

inline static constexpr

Definition at line 417 of file char_traits.h.

## eof()

static constexpr int_type std::char_traits< char >::eof | ( |  | ) |

inline static constexpr noexcept

Definition at line 455 of file char_traits.h.

## eq()

static constexpr bool std::char_traits< char >::eq | ( | const char_type & | __c1,
|  | const char_type & | __c2
| ) |  |

inline static constexpr noexcept

Definition at line 352 of file char_traits.h.

## eq_int_type()

static constexpr bool std::char_traits< char >::eq_int_type | ( | const int_type & | __c1,
|  | const int_type & | __c2
| ) |  |

inline static constexpr noexcept

Definition at line 451 of file char_traits.h.

## find()

static constexpr const char_type * std::char_traits< char >::find | ( | const char_type * | __s,
|  | size_t | __n,
|  | const char_type & | __a
| ) |  |

inline static constexpr

Definition at line 393 of file char_traits.h.

## length()

static constexpr size_t std::char_traits< char >::length | ( | const char_type * | __s | ) |

inline static constexpr

Definition at line 383 of file char_traits.h.

## lt()

static constexpr bool std::char_traits< char >::lt | ( | const char_type & | __c1,
|  | const char_type & | __c2
| ) |  |

inline static constexpr noexcept

Definition at line 356 of file char_traits.h.

## move()

static constexpr char_type * std::char_traits< char >::move | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | size_t | __n
| ) |  |

inline static constexpr

Definition at line 405 of file char_traits.h.

## not_eof()

static constexpr int_type std::char_traits< char >::not_eof | ( | const int_type & | __c | ) |

inline static constexpr noexcept

Definition at line 459 of file char_traits.h.

## to_char_type()

static constexpr char_type std::char_traits< char >::to_char_type | ( | const int_type & | __c | ) |

inline static constexpr noexcept

Definition at line 441 of file char_traits.h.

## to_int_type()

static constexpr int_type std::char_traits< char >::to_int_type | ( | const char_type & | __c | ) |

inline static constexpr noexcept

Definition at line 447 of file char_traits.h.

The documentation for this struct was generated from the following file:

- char_traits.h